Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003666 [JEDI VCL] 00 JVCL Components major always 2006-04-28 08:05 2006-05-03 05:19
Reporter ivan_ra View Status public  
Assigned To ivan_ra
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003666: JvInterpreterFm: MakeForm function does not work
Description After introdice of Class Fields support for interpreted forms MakeForm function raises exception
This is example for bug
Additional Information And this is fix: because now JvInterpreterFm requires FForm.FClassIdentifier we must find form class in unit. Fix is very simple, more accurate fix must read form class from DFM stream
Tags No tags attached.
Attached Files zip file icon FormsExample.zip [^] (2,766 bytes) 2006-04-28 08:07
? file icon JvInterpreterFm.pas.patch [^] (1,152 bytes) 2006-04-28 08:08

- Relationships

-  Notes
(0009199)
ivan_ra (developer)
2006-04-28 20:59

Sorry, I forget 1 string in patch:
if FForm.FClassIdentifier = '' then
... and so on
(0009224)
obones (administrator)
2006-05-02 01:38

Ivan, I tried to send you an email, but your email provider blocked my SMTP server IP address. I'll try again this evening from another SMTP server, in the meantime if you want to contact me via another email address, please do.
Cheers
Olivie
(0009246)
ivan_ra (developer)
2006-05-03 05:16

this is now in SVN

- Issue History
Date Modified Username Field Change
2006-04-28 08:05 ivan_ra New Issue
2006-04-28 08:07 ivan_ra File Added: FormsExample.zip
2006-04-28 08:08 ivan_ra File Added: JvInterpreterFm.pas.patch
2006-04-28 20:59 ivan_ra Note Added: 0009199
2006-05-02 01:38 obones Note Added: 0009224
2006-05-02 01:38 obones Status new => feedback
2006-05-03 05:16 ivan_ra Note Added: 0009246
2006-05-03 05:17 ivan_ra Status feedback => closed
2006-05-03 05:19 ivan_ra Status closed => resolved
2006-05-03 05:19 ivan_ra Resolution open => fixed
2006-05-03 05:19 ivan_ra Assigned To => ivan_ra


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker